# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global python2ver %(python2 -c "import sys; print sys.version[:3]" || echo none)
%{!?python2_sitelib: %global python2_sitelib %{_prefix}/lib/python%{python2ver}/site-packages}
%global moin_static_content_dir %{python2_sitelib}/MoinMoin/web/static/htdocs

Summary:	The "dew" theme for the moin wiki engine
Name:		moin-theme-dew
Version:	0
Release:	0.12.20080530.%{__distinit}%{__distvers}
URL:		http://moinmo.in/ThemeMarket/dew
# Source0 converted from unversioned upstream mercurial snapshot at
# http://sheep.art.pl/devel/dew/archive/tip.zip
Source0:	moin-theme-dew-%{version}.tar.bz2
Patch0:		moin-theme-dew-0-missing-icons.patch
License:	GPL-2.0-or-later
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	python2
Requires:	moin >= 1.9.0
Requires:	python(abi) = %{python2ver}

%description
The dew theme was made in 2006 for a client of the author, Radomir Dopieralski,
who ended up never using it. It was supposed to be a CMS-like site, so the
login link is slightly hidden at the bottom, and you don't see many wiki actions
if you are not logged in. 

%prep
%setup -q
%patch -P 0 -p0

cat << EOF > README.rpm
After installing this package, any newly-created wiki instances should
automatically have the dew theme available.

To make the dew theme available to an existing wiki instance, copy
%{_datadir}/moin/data/plugin/theme/dew.py*
to the data/plugin/theme directory of the wiki instance and do:
chown apache:apache /path/to/wiki/data/plugin/theme/dew.py*
EOF

%build
# Generate normal (.pyc) byte-compiled files.
python2 -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'
# Generate optimized (.pyo) byte-compiled files.
python2 -O -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'

%install
install -d -m 755 %{buildroot}%{_datadir}/moin/data/plugin/theme
install -p -m 644 dew.py* %{buildroot}%{_datadir}/moin/data/plugin/theme/
install -d -m 755 %{buildroot}%{moin_static_content_dir}/dew/{css,img}
install -p -m 644 css/*.css %{buildroot}%{moin_static_content_dir}/dew/css/
install -p -m 644 css/*.png %{buildroot}%{moin_static_content_dir}/dew/css/
install -p -m 644 img/*.gif %{buildroot}%{moin_static_content_dir}/dew/img/
install -p -m 644 img/*.png %{buildroot}%{moin_static_content_dir}/dew/img/

# Symlink to conflict and renamed icons from modern theme
ln -s ../../modern/img/moin-{conflict,renamed}.png %{buildroot}%{moin_static_content_dir}/dew/img/

# Symlink to msie.css from modern theme
ln -s ../../modern/css/msie.css %{buildroot}%{moin_static_content_dir}/dew/css/

%pretrans -p <lua>
-- Remove old compat symlink, if present
path = "%{moin_static_content_dir}/dew"
st = posix.stat(path)
if st and st.type == "link" then
  os.remove(path)
end

%files
%doc README.rpm
%{_datadir}/moin/data/plugin/theme/dew.py*
%{moin_static_content_dir}/dew/

%changelog
* Wed Mar 29 2023 Paul Howarth <paul@city-fan.org> - 0-0.12.20080530
- Use SPDX-format license tag
- Avoid deprecated patch syntax

* Sat Nov 10 2018 Paul Howarth <paul@city-fan.org> - 0-0.11.20080530
- Use python2 instead of generic python
- Manually add python(abi) dependency

* Sat Jan  6 2018 Paul Howarth <paul@city-fan.org> - 0-0.10.20080530
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Wed Feb 18 2015 Paul Howarth <paul@city-fan.org> - 0-0.9.20080530
- Drop support for old distributions prior to FC-5
  - No need to support python < 2.4 or moin < 1.9.0
  - Drop %%defattr, redundant since rpm 4.4
- Move static content from %%{_datadir} to %%{python_sitelib} as wanted by
  moin ≥ 1.9.0 and remove any old compat symlink with a %%pretrans script

* Thu Oct 13 2011 Paul Howarth <paul@city-fan.org> - 0-0.8.20080530
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 0-0.7.20080530
- Rebuild for python 2.7 in Rawhide

* Wed May 26 2010 Paul Howarth <paul@city-fan.org> - 0-0.6.20080530
- Fix dist tag for RHEL-6 Beta

* Thu Dec 31 2009 Paul Howarth <paul@city-fan.org> - 0-0.5.20080530
- Add compat symlink to static content from
  %%{python_sitelib}/MoinMoin/web/static/htdocs for moin ≥ 1.9.0
- BR: symlinks
- Dist tag for Rawhide no longer needs special-casing

* Wed Jul  8 2009 Paul Howarth <paul@city-fan.org> - 0-0.4.20080530
- Define RPM macros in global scope
- Use %%{__install} -p to maintain timestamps

* Mon Jul 14 2008 Paul Howarth <paul@city-fan.org> - 0-0.3.20080530
- Link to msie.css from modern theme

* Thu Jun 26 2008 Paul Howarth <paul@city-fan.org> - 0-0.2.20080530
- Patch dew.py to actually *use* the icons for conflict and renamed

* Thu Jun 26 2008 Paul Howarth <paul@city-fan.org> - 0-0.1.20080530
- Symlink missing icons for conflict and renamed to those from the modern theme
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Fri May 30 2008 Paul Howarth <paul@city-fan.org> - 0-0.0.20080530
- First RPM package

